### Method

# Gio ApplicationCommandLine get_platform_data

since: 2.28

#### Declaration [src]

    GVariant*
    g_application_command_line_get_platform_data (
      GApplicationCommandLine* cmdline
    )

#### Description [src]

Gets the platform data associated with the invocation of `cmdline`.

This is a `GVariant` dictionary containing information about the context in which the invocation occurred. It typically contains information like the current working directory and the startup notification ID.

It comes from an untrusted external process and hence the types of all values must be validated before being used.

For local invocation, it will be `NULL`.

Available since: 2.28

#### Return value

Type: `GVariant`

The platform data, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.